import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Battery fload along in the galaxy. They are bad. Best to destroy
 * them if you can.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Battery extends Actor
{
    private int speed;
    /**
     * Constructor. Nothing to do so far.
     */
    public Battery()
    {
        speed = Greenfoot.getRandomNumber(3) + 1;
    }

    /**
     * Float along the galaxy, slowly rotating.
     */
    public void act() 
    {
        setLocation(getX()-speed, getY());
        turn(1);
        
        if (getX() == 0) 
        {
            Galaxy galaxy = (Galaxy)getWorld();
            galaxy.addScore(-15);
            galaxy.removeObject(this);
            
        }
    }
    
}
